KeyTransRecipientInfoGenerator (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cms

## Class KeyTransRecipientInfoGenerator

- java.lang.Object
- - org.bouncycastle.cms.KeyTransRecipientInfoGenerator

- All Implemented Interfaces:
    RecipientInfoGenerator
  Direct Known Subclasses:
    BcKeyTransRecipientInfoGenerator, JceKeyTransRecipientInfoGenerator

      public abstract class KeyTransRecipientInfoGenerator
      extends java.lang.Object
      implements RecipientInfoGenerator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AsymmetricKeyWrapper` | `wrapper`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KeyTransRecipientInfoGenerator(byte[] subjectKeyIdentifier, AsymmetricKeyWrapper wrapper)`
    `protected` | `KeyTransRecipientInfoGenerator(org.bouncycastle.asn1.cms.IssuerAndSerialNumber issuerAndSerial, AsymmetricKeyWrapper wrapper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.cms.RecipientInfo` | `generate(GenericKey contentEncryptionKey)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wrapper

          protected final AsymmetricKeyWrapper wrapper

  - ### Constructor Detail

    - #### KeyTransRecipientInfoGenerator

          protected KeyTransRecipientInfoGenerator(org.bouncycastle.asn1.cms.IssuerAndSerialNumber issuerAndSerial,
                                        AsymmetricKeyWrapper wrapper)

    - #### KeyTransRecipientInfoGenerator

          protected KeyTransRecipientInfoGenerator(byte[] subjectKeyIdentifier,
                                        AsymmetricKeyWrapper wrapper)

  - ### Method Detail

    - #### generate

          public final org.bouncycastle.asn1.cms.RecipientInfo generate(GenericKey contentEncryptionKey)
                                                                 throws CMSException

      Specified by:
        `generate` in interface `RecipientInfoGenerator`
      Throws:
        `CMSException`